{
  "$schema": "https://json.schemastore.org/tsconfig",
  "compilerOptions": {
    "allowJs": true,
    "downlevelIteration": true,
    "esModuleInterop": true,
    "experimentalDecorators": true,
    "forceConsistentCasingInFileNames": true,
    "incremental": true,
    "isolatedModules": true,
    "jsx": "preserve",
    "module": "CommonJS",
    "moduleResolution": "Node",
    "noEmit": true,
    "noFallthroughCasesInSwitch": true,
    "noImplicitReturns": true,
    "noUnusedParameters": true,
    "resolveJsonModule": true,
    "skipLibCheck": true,
    "sourceMap": true,
    "strict": true,
    "target": "ES5",
    "paths": {
      "~/*": ["./src/*"],
      "~tests/*": ["./tests/*"]
    },
    "lib": [
      "DOM",
      "DOM.Iterable",
      "ES2021",
      "ScriptHost",
      "WebWorker",
      "WebWorker.ImportScripts",
      "Webworker.Iterable"
    ]
  },
  "include": ["src", ".eslintrc.js", "tests"]
}
